## AgsSetBufferSize

AgsSetBufferSize — adjust buffer size

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSetBufferSize * | ags_set_buffer_size_new ()

## Properties

guint | buffer-size | Read / Write
GObject * | scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsSetBufferSize

## Includes

    #include <ags/audio/task/ags_set_buffer_size.h>

## Description

The AgsSetBufferSize task adjusts buffer size of scope.

## Functions

### ags_set_buffer_size_new ()

    AgsSetBufferSize *
    ags_set_buffer_size_new (GObject *scope,
                             guint buffer_size);

Create a new instance of AgsSetBufferSize.

#### Parameters

scope | the GObject to reset |
buffer_size | the new buffer size |

#### Returns

the new AgsSetBufferSize

Since: 3.0.0

## Property Details

### The `“buffer-size”` property

      “buffer-size”              guint

The buffer size to apply to scope.

Owner: AgsSetBufferSize

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“scope”` property

      “scope”                    GObject *

The assigned GObject as scope.

Owner: AgsSetBufferSize

Flags: Read / Write

Since: 3.0.0